%global         upstream_name zope.event

Name:           python-zope-event
Version:        4.5.0
Release:        %mkrel 1
Summary:        Zope Event Publication
Group:          Development/Python
License:        ZPLv2.1
URL:            https://pypi.python.org/pypi/zope.event/
Source0:        https://files.pythonhosted.org/packages/source/z/%{upstream_name}/%{upstream_name}-%{version}.tar.gz
BuildArch:      noarch
%{?python_provide:%python_provide python2-zope-event}

%description
The zope.event package provides a simple event system. It provides
an event publishing system and a very simple event-dispatching system
on which more sophisticated event dispatching systems can be built.
(For example, a type-based event dispatching system that builds on
zope.event can be found in zope.component.)

%package -n python3-zope-event
Summary:        Zope Event Publication (Python 3)
%{?python_provide:%python_provide python3-zope-event}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-sphinx

%description -n python3-zope-event
The zope.event package provides a simple event system. It provides
an event publishing system and a very simple event-dispatching system
on which more sophisticated event dispatching systems can be built.
(For example, a type-based event dispatching system that builds on
zope.event can be found in zope.component.)

%prep
%setup -q -n zope.event-%{version}

rm -rf %{modname}.egg-info

%build
%py3_build

# build the sphinx documents
PYTHONPATH=$(pwd)/src make -C docs html
rm -f docs/_build/html/.buildinfo

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-zope-event
%doc CHANGES.rst COPYRIGHT.txt LICENSE.txt README.rst
%doc docs/_build/html/
%license LICENSE.txt
%{python3_sitelib}/zope/event/
%exclude %{python3_sitelib}/zope/event/tests.py*
%exclude %{python3_sitelib}/zope/event/__pycache__/tests*
%dir %{python3_sitelib}/zope/
%{python3_sitelib}/zope.event-*.egg-info
%{python3_sitelib}/zope.event-*-nspkg.pth


%changelog
* Thu Oct 08 2020 kekepower <kekepower> 4.5.0-1.mga8
+ Revision: 1632711
- Update to version 4.5.0

* Sun Feb 16 2020 umeabot <umeabot> 4.4-3.mga8
+ Revision: 1533398
- Mageia 8 Mass Rebuild

* Sat Sep 21 2019 tv <tv> 4.4-2.mga8
+ Revision: 1444194
- rebuild for python-3.8
- drop python2 subpkg

* Sun Aug 25 2019 wally <wally> 4.4-1.mga8
+ Revision: 1432247
- new version 4.4

* Mon Jan 07 2019 kekepower <kekepower> 4.3.0-3.mga7
+ Revision: 1350697
- Rebuild for Python 3.7

* Fri Sep 21 2018 umeabot <umeabot> 4.3.0-2.mga7
+ Revision: 1290584
- Mageia 7 Mass Rebuild

* Sun Nov 05 2017 mitya <mitya> 4.3.0-1.mga7
+ Revision: 1175999
- New version 4.3.0

* Sat Aug 05 2017 pterjan <pterjan> 4.2.0-2.mga7
+ Revision: 1135704
- Rebuild for python 3.6

* Mon May 22 2017 mitya <mitya> 4.2.0-1.mga6
+ Revision: 1104062
- Mageify
- imported package python-zope-event

